% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zeroshot_DMS_metrics.R
\name{zeroshot_DMS_metrics}
\alias{zeroshot_DMS_metrics}
\title{Model performance metrics for DMS substitutions in the zero-shot
setting}
\usage{
zeroshot_DMS_metrics(metadata = FALSE)
}
\arguments{
\item{metadata}{Logical, whether only experiment metadata should be returned.
Default behavior is to return processed data with metadata included.}
}
\value{
Returns a \code{\link[=list]{list()}} object with five \code{\link[=data.frame]{data.frame()}} corresponding to
a model metric table.
}
\description{
Model performance metrics for DMS substitutions in the zero-shot
setting
}
\details{
\code{zeroshot_DMS_metrics()} loads in the five model performance metrics
for ("AUC", "MCC", "NDCG", "Spearman", "Top_recall") calculated on the
DMS substitutions in the zero-shot setting.

Each data.frame columns contain:
\itemize{
\item "DMS_ID": Showing the assay name for the 217 DMS studies.
\item Columns 2:63: Corresponding to the average performance score of each of the
61 models tested.
\item "Number_of_Mutants": Number of protein mutants evaluated.
\item "Selection_Type": Protein function grouping.
\item "UniProt_ID": UniProt protein entry name identifier
\item "MSA_Neff_L_category": Multiple sequence alignment category.
\item "Taxon": taxon group.
}
}
\examples{
data <- zeroshot_DMS_metrics()
data_meta <- zeroshot_DMS_metrics(metadata = TRUE)

}
\references{
Notin, P., Kollasch, A., Ritter, D., van Niekerk, L., Paul, S., Spinner, H.,
Rollins, N., Shaw, A., Orenbuch, R., Weitzman, R., Frazer, J., Dias, M.,
Franceschi, D., Gal, Y., & Marks, D. (2023). ProteinGym: Large-Scale
Benchmarks for Protein Fitness Prediction and Design. In A. Oh, T. Neumann,
A. Globerson, K. Saenko, M. Hardt, & S. Levine (Eds.), Advances in Neural
Information Processing Systems (Vol. 36, pp. 64331-64379).
Curran Associates, Inc.
}
